## capnproto 0.5.3

=== CMakeLists.txt ===
project("Cap'n Proto" CXX)
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CheckIncludeFileCXX)
if(MSVC)
  check_include_file_cxx(initializer_list HAS_CXX11)
else()
  check_include_file_cxx(initializer_list HAS_CXX11 "-std=gnu++0x")
endif()
if(NOT HAS_CXX11)
  message(SEND_ERROR "Requires a C++11 compiler and standard library.")
endif()

# Set installation paths; these can be overridden in the cache.
set(EXEC_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}"
  CACHE PATH "Base installation path for executables."
)
set(BIN_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/bin"
  CACHE PATH "Installation directory for binaries (default: prefix/bin)."
)
set(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/lib"
  CACHE PATH "Installation directory for libraries (default: prefix/lib)."
)
set(INCLUDE_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/include"
  CACHE PATH "Installation directory for header files (default: prefix/include)."
)

# Options ======================================================================

option(BUILD_TOOLS "Build command-line tools and compiler." ON)
option(BUILD_TESTING "Build unit tests and enable CTest 'check' target." ON)
option(EXTERNAL_CAPNP "Use the system capnp binary, or the one specified in $CAPNP, instead of using the compiled one." OFF)
option(CAPNP_LITE "Compile Cap'n Proto in 'lite mode', in which all reflection APIs (schema.h, dynamic.h, etc.) are not included. Produces a smaller library at the cost of features. All programs built against the library must be compiled with -DCAPNP_LITE. Requires EXTERNAL_CAPNP to build the tests." OFF)

# Check for invalid combinations of build options
if(NOT BUILD_TOOLS AND BUILD_TESTING AND NOT EXTERNAL_CAPNP)
  # Not *all* of the tests require the capnp compiler, and those that do could be excluded
  # when not building the tools, but it's easier to just have a blanket rule.
  message(SEND_ERROR "Tests (BUILD_TESTING) cannot be build without either BUILD_TOOLS or EXTERNAL_CAPNP.")
endif()

if(CAPNP_LITE AND BUILD_TESTING AND NOT EXTERNAL_CAPNP)
  # As above, we could exclude only the tests that depend on the compiler.
  message(SEND_ERROR "CAPNP_LITE with BUILD_TESTING requires EXTERNAL_CAPNP.")
endif()

if(CAPNP_LITE AND BUILD_TOOLS)
  message(WARNING "Command-line tools will not be built with CAPNP_LITE.")
endif()

if(MSVC AND NOT CAPNP_LITE)
  message(SEND_ERROR "Building with MSVC is only supported with CAPNP_LITE.")
endif()

if(CAPNP_LITE)
  set(CAPNP_LITE_FLAG "-DCAPNP_LITE")
else()
  set(CAPNP_LITE_FLAG)
endif()

if(MSVC)
  # TODO(cleanup): Enable higher warning level in MSVC, but make sure to test
  #   build with that warning level and clean out false positives.
  set(CMAKE_CXX_FLAGS "${CAPNP_LITE_FLAG} ${CMAKE_CXX_FLAGS}")
else()
  # Note that it's important to add new CXXFLAGS before ones specified by the
  # user, so that the user's flags override them. This is particularly
  # important if -Werror was enabled and then certain warnings need to be
  # disabled, as is done in super-test.sh.
  #
  # We enable a lot of warnings, but then disable some:
  # * strict-aliasing: We use type-punning in known-safe ways that GCC doesn't
  #   recognize as safe.
  # * sign-compare: Low S/N ratio.
  # * unused-parameter: Low S/N ratio.
  #
  # We have to use -std=gnu++0x isntead of -std=c++11 because otherwise we lose
  # GNU extensions that we need.
  set(CMAKE_CXX_FLAGS "-std=gnu++0x -Wall -Wextra -Wno-strict-aliasing -Wno-sign-compare -Wno-unused-parameter -pthread ${CAPNP_LITE_FLAG} ${CMAKE_CXX_FLAGS}")
endif()

# Source =======================================================================

add_subdirectory(src)

# Install ======================================================================

if(NOT MSVC)  # Don't install pkg-config files when building with MSVC
  # Variables for pkg-config files
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "${EXEC_INSTALL_PREFIX}")
  set(libdir "${LIB_INSTALL_DIR}")
  set(includedir "${INCLUDE_INSTALL_DIR}")
  set(PTHREAD_CFLAGS "-pthread")
  set(STDLIB_FLAG)  # TODO: Unsupported

  configure_file(capnp.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp.pc" @ONLY)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp.pc" DESTINATION "${LIB_INSTALL_DIR}/pkgconfig")

  if(NOT CAPNP_LITE)
    configure_file(capnp-rpc.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp-rpc.pc" @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp-rpc.pc" DESTINATION "${LIB_INSTALL_DIR}/pkgconfig")
  endif()

  unset(STDLIB_FLAG)
  unset(PTHREAD_CFLAGS)
  unset(includedir)
  unset(libdir)
  unset(exec_prefix)
  unset(prefix)
endif()

=== src/CMakeLists.txt ===

include_directories("${CMAKE_CURRENT_SOURCE_DIR}")

# Tests ========================================================================

if(BUILD_TESTING)
  include(CTest)

  # Setup CAPNP_GENERATE_CPP for compiling test schemas
  find_package(CapnProto QUIET)
  set(CAPNP_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}")

  # Setup googletest build and library targets (gtest and gtest_main)
  include(ExternalProject)
  ExternalProject_Add(gtest_build
    URL http://googletest.googlecode.com/files/gtest-1.7.0.zip
    URL_MD5 2d6ec8ccdf5c46b05ba54a9fd1d130d7
    CMAKE_ARGS -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -Dgtest_force_shared_crt=1
    INSTALL_COMMAND ""  # Disable install
  )

  ExternalProject_Get_Property(gtest_build binary_dir)

  # Set platform-specific library prefix/extensions.
  if(MSVC)
    set(gtest_prefix)
    set(gtest_suffix ".lib")
  else()
    set(gtest_prefix "lib")
    set(gtest_suffix ".a")
  endif()

  add_library(gtest UNKNOWN IMPORTED)
  if(CMAKE_GENERATOR MATCHES "Visual Studio.*" OR CMAKE_GENERATOR STREQUAL Xcode)
    set_target_properties(gtest PROPERTIES IMPORTED_LOCATION_DEBUG "${binary_dir}/Debug/${gtest_prefix}gtest${gtest_suffix}")
    set_target_properties(gtest PROPERTIES IMPORTED_LOCATION_RELEASE "${binary_dir}/Release/${gtest_prefix}gtest${gtest_suffix}")
  else()
    set_target_properties(gtest PROPERTIES IMPORTED_LOCATION "${binary_dir}/${gtest_prefix}gtest${gtest_suffix}")
  endif()
  
  add_dependencies(gtest gtest_build)

  add_library(gtest_main UNKNOWN IMPORTED)
  if(CMAKE_GENERATOR MATCHES "Visual Studio.*" OR CMAKE_GENERATOR STREQUAL Xcode)
    set_target_properties(gtest_main PROPERTIES IMPORTED_LOCATION_DEBUG "${binary_dir}/Debug/${gtest_prefix}gtest_main${gtest_suffix}")
    set_target_properties(gtest_main PROPERTIES IMPORTED_LOCATION_RELEASE "${binary_dir}/Release/${gtest_prefix}gtest_main${gtest_suffix}")
  else()
    set_target_properties(gtest_main PROPERTIES IMPORTED_LOCATION "${binary_dir}/${gtest_prefix}gtest_main${gtest_suffix}")
  endif()
  add_dependencies(gtest_main gtest)

  ExternalProject_Get_Property(gtest_build source_dir)
  include_directories("${source_dir}/include")

  # Sadly, we can't use the 'test' target, as that's coopted by ctest
  add_custom_target(check "${CMAKE_CTEST_COMMAND}" -V)
endif()  # BUILD_TESTING

# kj ===========================================================================

add_subdirectory(kj)

# capnp ========================================================================

add_subdirectory(capnp)

=== src/capnp/CMakeLists.txt ===

# capnp ========================================================================

set(capnp_sources_lite
  c++.capnp.c++
  blob.c++
  arena.c++
  layout.c++
  list.c++
  any.c++
  message.c++
  schema.capnp.c++
  serialize.c++
  serialize-packed.c++
)
set(capnp_sources_heavy
  schema.c++
  schema-loader.c++
  dynamic.c++
  stringify.c++
)
if(NOT CAPNP_LITE)
  set(capnp_sources ${capnp_sources_lite} ${capnp_sources_heavy})
else()
  set(capnp_sources ${capnp_sources_lite})
endif()

set(capnp_headers
  c++.capnp.h
  common.h
  blob.h
  endian.h
  layout.h
  orphan.h
  list.h
  any.h
  message.h
  capability.h
  dynamic.h
  schema.h
  schema.capnp.h
  schema-lite.h
  schema-loader.h
  schema-parser.h
  pretty-print.h
  serialize.h
  serialize-async.h
  serialize-packed.h
  pointer-helpers.h
  generated-header-support.h
)
add_library(capnp ${capnp_sources})
target_link_libraries(capnp kj)

install(TARGETS capnp ARCHIVE DESTINATION "${LIB_INSTALL_DIR}")
install(FILES ${capnp_headers} DESTINATION "${INCLUDE_INSTALL_DIR}/capnp")

set(capnp-rpc_sources
  serialize-async.c++
  capability.c++
  dynamic-capability.c++
  rpc.c++
  rpc.capnp.c++
  rpc-twoparty.c++
  rpc-twoparty.capnp.c++
  persistent.capnp.c++
  ez-rpc.c++
)
set(capnp-rpc_headers
  rpc-prelude.h
  rpc.h
  rpc-twoparty.h
  rpc.capnp.h
  rpc-twoparty.capnp.h
  persistent.capnp.h
  ez-rpc.h
)
if(NOT CAPNP_LITE)
  add_library(capnp-rpc ${capnp-rpc_sources})
  target_link_libraries(capnp-rpc kj-async kj)
  install(TARGETS capnp-rpc ARCHIVE DESTINATION "${LIB_INSTALL_DIR}")
  install(FILES ${capnp-rpc_headers} DESTINATION "${INCLUDE_INSTALL_DIR}/capnp")
endif()

# Tools/Compilers ==============================================================

set(capnpc_sources
  compiler/md5.c++
  compiler/error-reporter.c++
  compiler/lexer.capnp.c++
  compiler/lexer.c++
  compiler/grammar.capnp.c++
  compiler/parser.c++
  compiler/node-translator.c++
  compiler/compiler.c++
  schema-parser.c++
)
set(capnpc_headers
  c++.capnp
  schema.capnp
  rpc.capnp
  rpc-twoparty.capnp
  persistent.capnp
)
if(NOT CAPNP_LITE)
  add_library(capnpc ${capnpc_sources})
  target_link_libraries(capnpc capnp kj)
  install(TARGETS capnpc ARCHIVE DESTINATION "${LIB_INSTALL_DIR}")
  install(FILES ${capnpc_headers} DESTINATION "${INCLUDE_INSTALL_DIR}/capnp")
endif()

if(BUILD_TOOLS AND NOT CAPNP_LITE)
  add_executable(capnp_tool
    compiler/module-loader.c++
    compiler/capnp.c++
  )
  target_link_libraries(capnp_tool capnpc capnp kj)
  set_target_properties(capnp_tool PROPERTIES OUTPUT_NAME capnp)

  add_executable(capnpc_cpp
    compiler/capnpc-c++.c++
  )
  target_link_libraries(capnpc_cpp capnp kj)
  set_target_properties(capnpc_cpp PROPERTIES OUTPUT_NAME capnpc-c++)

  add_executable(capnpc_capnp
    compiler/capnpc-capnp.c++
  )
  target_link_libraries(capnpc_capnp capnp kj)
  set_target_properties(capnpc_capnp PROPERTIES OUTPUT_NAME capnpc-capnp)

  install(TARGETS capnp_tool capnpc_cpp capnpc_capnp RUNTIME DESTINATION "${BIN_INSTALL_DIR}")

  # Symlink capnpc -> capnp
  install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink capnp \"${BIN_INSTALL_DIR}/capnpc\")")
endif()  # BUILD_TOOLS AND NOT CAPNP_LITE

# Tests ========================================================================

if(BUILD_TESTING)
  set(test_capnp_files
    test.capnp
    test-import.capnp
    test-import2.capnp
  )

  # Setup paths to the schema compiler for generating ${test_capnp_files}
  if(NOT EXTERNAL_CAPNP)
    set(CAPNP_EXECUTABLE $<TARGET_FILE:capnp_tool>)
    set(CAPNPC_CXX_EXECUTABLE $<TARGET_FILE:capnpc_cpp>)
  else()
    # Allow paths to tools to be set with one of: (1) the CMake variables from the
    # the FindCapnProto module; (2) environment variables; or (3) find_program()
    if (NOT CAPNP_EXECUTABLE)
      if (DEFINED ENV{CAPNP})
        set(CAPNP_EXECUTABLE "$ENV{CAPNP}")
      else()
        find_program(CAPNP_EXECUTABLE capnp)
      endif()
    endif()

    if(NOT CAPNPC_CXX_EXECUTABLE)
      if (DEFINED ENV{CAPNPC_CXX})
        set(CAPNPC_CXX_EXECUTABLE "$ENV{CAPNPC_CXX}")
      else()
        # Also search in the same directory that `capnp` was found in
        get_filename_component(capnp_dir "${CAPNP_EXECUTABLE}" DIRECTORY)
        find_program(CAPNPC_CXX_EXECUTABLE capnpc-c++ HINTS "${capnp_dir}")
      endif()
    endif()
  endif()

  # Add "/capnp" to match the path used to import the files in the test sources
  set(CAPNPC_OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}/test_capnp/capnp")
  include_directories("${CMAKE_CURRENT_BINARY_DIR}/test_capnp")  # Note: no "/capnp"
  file(MAKE_DIRECTORY "${CAPNPC_OUTPUT_DIR}")

  capnp_generate_cpp(test_capnp_cpp_files test_capnp_h_files ${test_capnp_files})

  if(CAPNP_LITE)
    set(test_libraries capnp kj gtest gtest_main)
  else()
    set(test_libraries capnp capnp-rpc capnpc kj kj-async gtest gtest_main)
  endif()

  add_executable(capnp-tests
    common-test.c++
    blob-test.c++
    endian-test.c++
    endian-fallback-test.c++
    layout-test.c++
    any-test.c++
    message-test.c++
    encoding-test.c++
    orphan-test.c++
    serialize-test.c++
    serialize-packed-test.c++
    test-util.c++
    ${test_capnp_cpp_files}
    ${test_capnp_h_files}
  )
  target_link_libraries(capnp-tests ${test_libraries})
  add_dependencies(check capnp-tests)
  add_test(NAME capnp-tests-run COMMAND capnp-tests)

  if(NOT CAPNP_LITE)
    add_executable(capnp-heavy-tests
      endian-reverse-test.c++
      capability-test.c++
      schema-test.c++
      schema-loader-test.c++
      dynamic-test.c++
      stringify-test.c++
      serialize-async-test.c++
      rpc-test.c++
      rpc-twoparty-test.c++
      ez-rpc-test.c++
      compiler/lexer-test.c++
      compiler/md5-test.c++
      test-util.c++
      ${test_capnp_cpp_files}
      ${test_capnp_h_files}
    )
    target_link_libraries(capnp-heavy-tests ${test_libraries})
    set_target_properties(capnp-heavy-tests
      PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations"
    )

    add_dependencies(check capnp-heavy-tests)
    add_test(NAME capnp-heavy-tests-run COMMAND capnp-heavy-tests)

    add_executable(capnp-evolution-tests compiler/evolution-test.c++)
    target_link_libraries(capnp-evolution-tests capnpc capnp kj)
    add_dependencies(check capnp-evolution-tests)
    add_test(NAME capnp-evolution-tests-run COMMAND capnp-evolution-tests)
  endif()  # NOT CAPNP_LITE
endif()  # BUILD_TESTING

=== src/kj/CMakeLists.txt ===

# kj ===========================================================================

set(kj_sources_lite
  array.c++
  common.c++
  debug.c++
  exception.c++
  io.c++
  memory.c++
  mutex.c++
  string.c++
  thread.c++
)
set(kj_sources_heavy
  units.c++
  refcount.c++
  string-tree.c++
  arena.c++
  main.c++
  parse/char.c++
)
if(NOT CAPNP_LITE)
  set(kj_sources ${kj_sources_lite} ${kj_sources_heavy})
else()
  set(kj_sources ${kj_sources_lite})
endif()

set(kj_headers
  common.h
  units.h
  memory.h
  refcount.h
  array.h
  vector.h
  string.h
  string-tree.h
  exception.h
  debug.h
  arena.h
  miniposix.h
  io.h
  tuple.h
  one-of.h
  function.h
  mutex.h
  thread.h
  threadlocal.h
  main.h
  windows-sanity.h
)
set(kj-parse_headers
  parse/common.h
  parse/char.h
)
set(kj-std_headers
  std/iostream.h
)
add_library(kj ${kj_sources})
install(TARGETS kj ARCHIVE DESTINATION "${LIB_INSTALL_DIR}")
install(FILES ${kj_headers} DESTINATION "${INCLUDE_INSTALL_DIR}/kj")
install(FILES ${kj-parse_headers} DESTINATION "${INCLUDE_INSTALL_DIR}/kj/parse")
install(FILES ${kj-std_headers} DESTINATION "${INCLUDE_INSTALL_DIR}/kj/std")

set(kj-async_sources
  async.c++
  async-unix.c++
  async-io.c++
  time.c++
)
set(kj-async_headers
  async-prelude.h
  async.h
  async-inl.h
  async-unix.h
  async-io.h
  time.h
)
if(NOT CAPNP_LITE)
  add_library(kj-async ${kj-async_sources})
  target_link_libraries(kj-async kj)
  install(TARGETS kj-async ARCHIVE DESTINATION "${LIB_INSTALL_DIR}")
  install(FILES ${kj-async_headers} DESTINATION "${INCLUDE_INSTALL_DIR}/kj")
endif()

# Tests ========================================================================

if(BUILD_TESTING)
  add_executable(kj-tests
    common-test.c++
    memory-test.c++
    array-test.c++
    string-test.c++
    exception-test.c++
    debug-test.c++
    io-test.c++
    mutex-test.c++
    threadlocal-test.c++
    std/iostream-test.c++
  )
  # TODO: Link with librt on Solaris for sched_yield
  target_link_libraries(kj-tests kj gtest gtest_main)
  add_dependencies(check kj-tests)
  add_test(NAME kj-tests-run COMMAND kj-tests)

  if(NOT CAPNP_LITE)
    add_executable(kj-heavy-tests
      async-test.c++
      async-unix-test.c++
      async-io-test.c++
      refcount-test.c++
      string-tree-test.c++
      arena-test.c++
      units-test.c++
      tuple-test.c++
      one-of-test.c++
      function-test.c++
      threadlocal-pthread-test.c++
      parse/common-test.c++
      parse/char-test.c++
    )
    target_link_libraries(kj-heavy-tests kj kj-async gtest gtest_main)
    add_dependencies(check kj-heavy-tests)
    add_test(NAME kj-heavy-tests-run COMMAND kj-heavy-tests)
  endif()  # NOT CAPNP_LITE
endif()  # BUILD_TESTING

## capnproto 0.2.1

=== debian/changelog ===
capnproto (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #719782)

 -- Tom Lee <debian@tomlee.co>  Tue, 20 Aug 2013 00:18:16 -0700

=== debian/control ===
Source: capnproto
Section: devel
Priority: optional
Maintainer: Tom Lee <debian@tomlee.co>
Build-Depends: debhelper (>= 8.0.0), gcc (>= 4.7),
 python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
 xsltproc, autotools-dev
Standards-Version: 3.9.4
Homepage: http://kentonv.github.io/capnproto/
Vcs-Git: git://github.com/thomaslee/capnporoto-debian.git
Vcs-Browser: http://github.com/thomaslee/capnproto-debian

Package: libcapnp-0.2.1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cap'n Proto C++ library
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains the runtime library needed for C++ applications.

Package: libcapnp-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libcapnp-0.2.1 (= ${binary:Version})
Description: Cap'n Proto C++ library (development files)
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains the headers and static libraries needed for writing
 C++ applications.

Package: capnproto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcapnp-0.2.1 (= ${binary:Version})
Description: tool for working with the Cap'n Proto data interchange format
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains a small suite of tools for developing & maintaining
 your Cap'n Proto schema files, including a code generator for compiling
 your schema files to supported languages.

=== debian/rules ===
#!/usr/bin/make -f

#
# Force a release build & works around a g++ compiler bug by happy coincidence
#
export DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG
export DEB_LDFLAGS_MAINT_APPEND = -lpthread

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

export DH_OPTIONS

%:
	dh $@

override_dh_auto_build:
	xsltproc --nonet \
		--param make.year.ranges 1 \
		--param make.single.year.ranges 1 \
		--param man.charmap.use.subset 0 \
		-o debian/ \
	http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
		debian/capnp.1.xml
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/capnp.1
	dh_auto_clean

## capnproto 0.4.0~git20131030+e7d2778

=== debian/changelog ===
capnproto (0.4.0~git20131030+e7d2778-0ubuntu1) trusty; urgency=low

  * Release latest capnproto git snapshot
  * debian/patches/fix_version_name.diff:
    - Add a quilt patch to change the version number of the pre-0.4 snapshot
      to 0.4.0, since 0.4-dev is invalid for soname's
  * Modify debian packaging to work with the 0.4.0~ version
  * Use dh-autoreconf in case the tarball was generated with incompatible
    tools

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 31 Oct 2013 13:19:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Tom Lee <debian@tomlee.co>
 Build-Depends: debhelper (>= 8.0.0), gcc (>= 4.7),
  python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
- xsltproc, autotools-dev
+ xsltproc, autotools-dev, dh-autoreconf
 Standards-Version: 3.9.4
 Homepage: http://kentonv.github.io/capnproto/
 Vcs-Git: git://github.com/thomaslee/capnporoto-debian.git
 Vcs-Browser: http://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.2.1
+Package: libcapnp-0.4.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,7 +30,7 @@
 Package: libcapnp-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.2.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.4.0 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -48,7 +48,7 @@
 Package: capnproto
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.2.1 (= ${binary:Version})
+ libcapnp-0.4.0 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_build:
 	xsltproc --nonet \

## capnproto 0.4.0

=== debian/changelog ===
capnproto (0.4.0-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in pointer validation.
    - debian/patches/CVE-2015-2310.patch: fix in src/capnp/layout.c++
    - CVE-2015-2310

  * SECURITY UPDATE: Integer underflow in pointer validation.
    - debian/patches/CVE-2015-2311.patch: fix in src/capnp/layout.c++
    - CVE-2015-2311

  * SECURITY UPDATE: CPU usage amplification attack.
    - debian/patches/CVE-2015-2312.patch: fix in src/capnp/arena.h,
      src/capnp/encoding-test.c++ and src/capnp/layout.c++
    - CVE-2015-2312

  * SECURITY UPDATE: CPU additional CPU amplification case.
    - debian/patches/CVE-2015-2313.patch: fix in src/capnp/layout.c++
      and src/capnp/encoding-test.c++
    - CVE-2015-2313

  * SECURITY UPDATE: Prevent compiler from eliding bounds checks.
    - debian/patches/CVE-2017-7892.patch: fix in src/capnp/arena.h
    - CVE-2017-7892
    
 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 30 Jul 2018 20:00:10 -0300

capnproto (0.4.0-1ubuntu2) trusty; urgency=medium

  * Bump compat level to 9.
  * Multi-arch library packages.
  * Mark the utility as foreign.
  * Enable parallel build.
  * Drop maintainer scripts, dh_makeshlibs adds ldconfig.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 12:23:36 +0100

capnproto (0.4.0-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el and update
    config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 Jan 2014 02:44:12 -0500

capnproto (0.4.0-1) unstable; urgency=low

  * Updated packaging, include libkj-async and libcapnp-rpc.
  * Imported Upstream version 0.4.0

 -- Tom Lee <debian@tomlee.co>  Sun, 15 Dec 2013 10:41:21 -0700

capnproto (0.3.0-1) unstable; urgency=low

  * Fix Vcs-Git URL
  * Imported Upstream version 0.3.0

 -- Tom Lee <debian@tomlee.co>  Wed, 13 Nov 2013 12:45:02 -0700

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --parallel
 
 override_dh_auto_build:
 	xsltproc --nonet \

=== debian/watch ===
version=3

http://kentonv.github.io/capnproto/install.html http://capnproto.org/capnproto-c\+\+-(.+)\.tar\.gz

## capnproto 0.4.1

=== debian/changelog ===
capnproto (0.4.1-2) unstable; urgency=low

  * Applying upstream patch for NaN on mips64el (Closes: 743402)

 -- Tom Lee <debian@tomlee.co>  Tue, 29 Apr 2014 01:06:24 -0700

capnproto (0.4.1-1) unstable; urgency=low

  * Applying a downstream patch for ppc64el (Closes: 735232)
  * Install capnp.pc and capnp-rpc.pc to the correct location
  * Imported Upstream version 0.4.1

 -- Tom Lee <debian@tomlee.co>  Wed, 09 Apr 2014 12:00:31 -0700

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Tom Lee <debian@tomlee.co>
 Build-Depends: debhelper (>= 8.0.0), gcc (>= 4.7),
  python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
- xsltproc, autotools-dev, dh-autoreconf
-Standards-Version: 3.9.4
+ xsltproc, dh-autoreconf, netbase
+Standards-Version: 3.9.5
 Homepage: http://kentonv.github.io/capnproto/
-Vcs-Git: git://github.com/thomaslee/capnporoto-debian.git
+Vcs-Git: git://github.com/thomaslee/capnproto-debian
 Vcs-Browser: http://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.4.0
+Package: libcapnp-0.4.1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -25,12 +25,12 @@
  of the rougher aspects of Protocol Buffers & introduces a number of new
  features to boot.
  .
- This package contains the runtime library needed for C++ applications.
+ This package contains the runtime libraries needed for C++ applications.
 
 Package: libcapnp-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.4.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.4.1 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -48,7 +48,7 @@
 Package: capnproto
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.4.0 (= ${binary:Version})
+ libcapnp-0.4.1 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or

=== debian/watch ===
version=3

http://kentonv.github.io/capnproto/install.html https?://capnproto.org/capnproto-c\+\+-(.+)\.tar\.gz

## capnproto 0.5.3

=== debian/changelog ===
capnproto (0.5.3-2ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Prevent compiler from eliding bound checks.
    - debian/patches/CVE-2017-7892.patch: fix in src/capnp/arena.h
    - CVE-2017-7892

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 30 Jul 2018 19:55:28 -0300

capnproto (0.5.3-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/compat, debian/control:
      + Bump to debhelper 9 (needed for MultiArch).
    - debian/{control, *.install}:
      + Convert to MutliArch support. (Closes: #809065)
  * debian/patches/gcc5.diff:
    - Drop, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 26 Dec 2015 22:36:42 +0100

capnproto (0.5.3-2) unstable; urgency=medium

  * Copyright notice updated on upstream's request
  * Fix test breakages on powerpc (Closes: #804112)

 -- Tom Lee <debian@tomlee.co>  Fri, 06 Nov 2015 17:32:09 -0800

capnproto (0.5.3-1) unstable; urgency=medium

  * Backporting final IOV_MAX patch accepted upstream
  * Add patch for hppa FTBFS (Closes: #781787)
  * Fix mipsel/powerpc/ppc64el FTBFS (Closes: #790571)
  * Imported Upstream version 0.5.3
  * Update packaging for 0.5.3
  * Fix dep5-copyright-license-name-not-unique lintian warning

 -- Tom Lee <debian@tomlee.co>  Fri, 30 Oct 2015 23:49:29 -0700

capnproto (0.5.2-2) unstable; urgency=low

  * Enable parallel builds
  * Drop postinst/postrm scripts, dh_makeshlibs adds ldconfig
  * Attempt to fix GNU/Hurd FTBFS
  * Update .gitignore
  * Add support for cmake *Config files

 -- Tom Lee <debian@tomlee.co>  Sat, 09 May 2015 02:13:59 -0700

capnproto (0.5.2-1) unstable; urgency=low

  * Imported Upstream version 0.5.2
  * Remove the (now unnecessary) MIPS NaN patch
  * Update Standards-Version to 3.9.6
  * Verbose output for dh_auto_test
  * Fix the watch file URL
  * Update Homepage in debian/control

 -- Tom Lee <debian@tomlee.co>  Sun, 03 May 2015 00:49:25 -0700

capnproto (0.4.1-3) unstable; urgency=high

  * Fix CVE-2015-2310: Integer overflow in pointer validation (Closes: 780565)
  * Fix CVE-2015-2311: Integer underflow in pointer validation (Closes: 780566)
  * Fix CVE-2015-2312: CPU usage amplification attack (Closes: 780567)
  * Fix CVE-2015-2313: CPU usage amplification attack #2 (Closes: 780568)

 -- Tom Lee <debian@tomlee.co>  Tue, 17 Mar 2015 19:53:24 -0800

capnproto (0.4.0-1ubuntu3) wily; urgency=medium

  * Fix build errors with GCC 5.
  * Don't yet merge the new upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2015 12:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: capnproto
 Section: devel
 Priority: optional
-Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 8.0.0), gcc (>= 4.7),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tom Lee <debian@tomlee.co>
+Build-Depends: debhelper (>= 9), gcc (>= 4.7),
  python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
  xsltproc, dh-autoreconf, netbase
-Standards-Version: 3.9.5
-Homepage: http://kentonv.github.io/capnproto/
+Standards-Version: 3.9.6
+Homepage: https://capnproto.org/
 Vcs-Git: git://github.com/thomaslee/capnproto-debian
 Vcs-Browser: http://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.4.1
+Package: libcapnp-0.5.3
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Cap'n Proto C++ library
@@ -29,8 +31,9 @@
 
 Package: libcapnp-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.4.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.5.3 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -47,8 +50,9 @@
 
 Package: capnproto
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.4.1 (= ${binary:Version})
+ libcapnp-0.5.3 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or

## capnproto 0.6.1

=== CMakeLists.txt ===
project("Cap'n Proto" CXX)
cmake_minimum_required(VERSION 3.1)
set(VERSION 0.6.1)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CheckIncludeFileCXX)
include(GNUInstallDirs)
if(MSVC)
  check_include_file_cxx(initializer_list HAS_CXX11)
else()
  check_include_file_cxx(initializer_list HAS_CXX11 "-std=gnu++0x")
endif()
if(NOT HAS_CXX11)
  message(SEND_ERROR "Requires a C++11 compiler and standard library.")
endif()

# these arguments are passed to all install(TARGETS) calls
set(INSTALL_TARGETS_DEFAULT_ARGS
  EXPORT CapnProtoTargets
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

# Options ======================================================================

option(BUILD_TESTING "Build unit tests and enable CTest 'check' target." ON)
option(EXTERNAL_CAPNP "Use the system capnp binary, or the one specified in $CAPNP, instead of using the compiled one." OFF)
option(CAPNP_LITE "Compile Cap'n Proto in 'lite mode', in which all reflection APIs (schema.h, dynamic.h, etc.) are not included. Produces a smaller library at the cost of features. All programs built against the library must be compiled with -DCAPNP_LITE. Requires EXTERNAL_CAPNP." OFF)

# Check for invalid combinations of build options
if(CAPNP_LITE AND BUILD_TESTING AND NOT EXTERNAL_CAPNP)
  message(SEND_ERROR "You must set EXTERNAL_CAPNP when using CAPNP_LITE and BUILD_TESTING.")
endif()

if(CAPNP_LITE)
  set(CAPNP_LITE_FLAG "-DCAPNP_LITE")
  # This flag is attached as PUBLIC target_compile_definition to kj target
else()
  set(CAPNP_LITE_FLAG)
endif()

if(MSVC)
  # TODO(cleanup): Enable higher warning level in MSVC, but make sure to test
  #   build with that warning level and clean out false positives.

  add_compile_options(/wo4503)
  # Only warn once on truncated decorated names. The maximum symbol length MSVC
  # supports is 4k characters, which the parser framework regularly blows. The
  # compiler likes to print out the entire type that went over the limit along
  # with this warning, which gets unbearably spammy. That said, we don't want to
  # just ignore it, so I'm letting it trigger once until we find some places to
  # inject ParserRefs.
else()
  # Note that it's important to add new CXXFLAGS before ones specified by the
  # user, so that the user's flags override them. This is particularly
  # important if -Werror was enabled and then certain warnings need to be
  # disabled, as is done in super-test.sh.
  #
  # We enable a lot of warnings, but then disable some:
  # * strict-aliasing: We use type-punning in known-safe ways that GCC doesn't
  #   recognize as safe.
  # * sign-compare: Low S/N ratio.
  # * unused-parameter: Low S/N ratio.
  add_compile_options(-Wall -Wextra -Wno-strict-aliasing -Wno-sign-compare -Wno-unused-parameter)

  if(DEFINED CMAKE_CXX_EXTENSIONS AND NOT CMAKE_CXX_EXTENSIONS)
    message(SEND_ERROR "Cap'n Proto requires compiler-specific extensions (e.g., -std=gnu++11). Please leave CMAKE_CXX_EXTENSIONS undefined or ON.")
  endif()

  if (NOT ANDROID)
    add_compile_options(-pthread)
  endif()
endif()

# Source =======================================================================
include(CapnProtoMacros)
add_subdirectory(src)

# Install ======================================================================

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfigVersion.cmake"
  VERSION ${VERSION}
  COMPATIBILITY AnyNewerVersion
)
set(CONFIG_PACKAGE_LOCATION ${CMAKE_INSTALL_LIBDIR}/cmake/CapnProto)

configure_package_config_file(cmake/CapnProtoConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfig.cmake
  INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
  PATH_VARS CMAKE_INSTALL_FULL_INCLUDEDIR
)
export(EXPORT CapnProtoTargets
  FILE "${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoTargets.cmake"
  NAMESPACE CapnProto::
)
install(EXPORT CapnProtoTargets
  FILE CapnProtoTargets.cmake
  NAMESPACE CapnProto::
  DESTINATION ${CONFIG_PACKAGE_LOCATION}
)
install(FILES
  cmake/CapnProtoMacros.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfigVersion.cmake
  DESTINATION ${CONFIG_PACKAGE_LOCATION}
)
#install CapnProtoMacros for CapnProtoConfig.cmake build directory consumers
configure_file(cmake/CapnProtoMacros.cmake cmake/CapnProtoMacros.cmake COPYONLY)

if(NOT MSVC)  # Don't install pkg-config files when building with MSVC
  # Variables for pkg-config files
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "") # not needed since we use absolute paths in libdir and includedir
  set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
  set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
  set(PTHREAD_CFLAGS "-pthread")
  set(STDLIB_FLAG)  # TODO: Unsupported

  configure_file(kj.pc.in "${CMAKE_CURRENT_BINARY_DIR}/kj.pc" @ONLY)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kj.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

  configure_file(capnp.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp.pc" @ONLY)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

  if(NOT CAPNP_LITE)
    configure_file(kj-async.pc.in "${CMAKE_CURRENT_BINARY_DIR}/kj-async.pc" @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kj-async.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

    configure_file(capnp-rpc.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp-rpc.pc" @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp-rpc.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

    configure_file(capnp-json.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp-json.pc" @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp-json.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
  endif()

  unset(STDLIB_FLAG)
  unset(PTHREAD_CFLAGS)
  unset(includedir)
  unset(libdir)
  unset(exec_prefix)
  unset(prefix)
endif()

=== debian/changelog ===
capnproto (0.6.1-1ubuntu1) bionic; urgency=medium

  [ Rico Tzschichholz ]
  * control: Mark libcapnp-0.6.1 as Multi-Arch: same. (LP: #1754009)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Mar 2018 13:48:34 +0200

capnproto (0.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.6.1 (Closes: #866525) which includes:
     - a fix for CVE-2017-7892 (Closes: #860960)
     - a fix for broken GCC 7 builds (Closes: #853342, #853539)
     - a possible fix for the hurd-i386 FTBFS in #804122
  * MultiArch support (Closes: #809065)
  * Clean up some Lintian gripes
  * Updated to debhelper 9, Standards-Version 4.0.0
  * License in debian/copyright changed from BSD-2-clause to MIT

 -- Tom Lee <debian@tomlee.co>  Sat, 26 Aug 2017 10:54:20 -0700

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: capnproto
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 9), gcc (>= 4.7),
- python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
- xsltproc, dh-autoreconf, netbase
-Standards-Version: 3.9.6
+Maintainer: Tom Lee <debian@tomlee.co>
+Build-Depends: debhelper (>= 9), gcc (>= 4.7), python-all (>= 2.6),
+ dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, dh-autoreconf,
+ netbase
+Standards-Version: 4.0.0
 Homepage: https://capnproto.org/
-Vcs-Git: git://github.com/thomaslee/capnproto-debian
-Vcs-Browser: http://github.com/thomaslee/capnproto-debian
+Vcs-Git: https://github.com/thomaslee/capnproto-debian
+Vcs-Browser: https://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.5.3
+Package: libcapnp-0.6.1
 Architecture: any
-Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Cap'n Proto C++ library
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -31,9 +30,8 @@
 
 Package: libcapnp-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.5.3 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.6.1 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -50,9 +48,8 @@
 
 Package: capnproto
 Architecture: any
-Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.5.3 (= ${binary:Version})
+ libcapnp-0.6.1 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,6 @@
 	rm -f debian/capnp.1
 	dh_auto_clean
 
+override_dh_auto_test:
+	VERBOSE=1 dh_auto_test
+

=== debian/watch ===
version=3

https://capnproto.org/install.html https?://capnproto.org/capnproto-c\+\+-(.+)\.tar\.gz

## capnproto 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
+cmake_minimum_required(VERSION 3.1)
 project("Cap'n Proto" CXX)
-cmake_minimum_required(VERSION 3.1)
-set(VERSION 0.6.1)
+set(VERSION 0.7.0)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 include(CheckIncludeFileCXX)
 include(GNUInstallDirs)
 if(MSVC)
-  check_include_file_cxx(initializer_list HAS_CXX11)
+  check_include_file_cxx(initializer_list HAS_CXX14)
 else()
-  check_include_file_cxx(initializer_list HAS_CXX11 "-std=gnu++0x")
+  check_include_file_cxx(initializer_list HAS_CXX14 "-std=gnu++1y")
 endif()
-if(NOT HAS_CXX11)
-  message(SEND_ERROR "Requires a C++11 compiler and standard library.")
+if(NOT HAS_CXX14)
+  message(SEND_ERROR "Requires a C++14 compiler and standard library.")
 endif()
 
 # these arguments are passed to all install(TARGETS) calls
@@ -66,7 +66,7 @@
   add_compile_options(-Wall -Wextra -Wno-strict-aliasing -Wno-sign-compare -Wno-unused-parameter)
 
   if(DEFINED CMAKE_CXX_EXTENSIONS AND NOT CMAKE_CXX_EXTENSIONS)
-    message(SEND_ERROR "Cap'n Proto requires compiler-specific extensions (e.g., -std=gnu++11). Please leave CMAKE_CXX_EXTENSIONS undefined or ON.")
+    message(SEND_ERROR "Cap'n Proto requires compiler-specific extensions (e.g., -std=gnu++14). Please leave CMAKE_CXX_EXTENSIONS undefined or ON.")
   endif()
 
   if (NOT ANDROID)
@@ -81,11 +81,17 @@
 # Install ======================================================================
 
 include(CMakePackageConfigHelpers)
-write_basic_package_version_file(
-  "${CMAKE_CURRENT_BINARY_DIR}/cmake/CapnProtoConfigVersion.cmake"
-  VERSION ${VERSION}
-  COMPATIBILITY AnyNewerVersion
-)
+
+# We used to use write_basic_package_version_file(), but since the autotools build needs to install
+# a config version script as well, I copied the AnyNewerVersion template from my CMake Modules
+# directory to Cap'n Proto's cmake/ directory (alternatively, we could make the autotools build
+# depend on CMake).
+#
+# We might as well use the local copy of the template. In the future we can modify the project's
+# version compatibility policy just by changing that file.
+set(PACKAGE_VERSION ${VERSION})
+configure_file(cmake/CapnProtoConfigVersion.cmake.in cmake/CapnProtoConfigVersion.cmake @ONLY)
+
 set(CONFIG_PACKAGE_LOCATION ${CMAKE_INSTALL_LIBDIR}/cmake/CapnProto)
 
 configure_package_config_file(cmake/CapnProtoConfig.cmake.in
@@ -120,22 +126,25 @@
   set(PTHREAD_CFLAGS "-pthread")
   set(STDLIB_FLAG)  # TODO: Unsupported
 
-  configure_file(kj.pc.in "${CMAKE_CURRENT_BINARY_DIR}/kj.pc" @ONLY)
-  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kj.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
-
-  configure_file(capnp.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp.pc" @ONLY)
-  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+  set(CAPNP_PKG_CONFIG_FILES
+    pkgconfig/kj.pc
+    pkgconfig/capnp.pc
+  )
 
   if(NOT CAPNP_LITE)
-    configure_file(kj-async.pc.in "${CMAKE_CURRENT_BINARY_DIR}/kj-async.pc" @ONLY)
-    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kj-async.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+    list(APPEND CAPNP_PKG_CONFIG_FILES
+      pkgconfig/kj-async.pc
+      pkgconfig/kj-http.pc
+      pkgconfig/kj-test.pc
+      pkgconfig/capnp-rpc.pc
+      pkgconfig/capnp-json.pc
+    )
+  endif()
 
-    configure_file(capnp-rpc.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp-rpc.pc" @ONLY)
-    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp-rpc.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
-
-    configure_file(capnp-json.pc.in "${CMAKE_CURRENT_BINARY_DIR}/capnp-json.pc" @ONLY)
-    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/capnp-json.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
-  endif()
+  foreach(pcfile ${CAPNP_PKG_CONFIG_FILES})
+    configure_file(${pcfile}.in "${CMAKE_CURRENT_BINARY_DIR}/${pcfile}" @ONLY)
+    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${pcfile}" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+  endforeach()
 
   unset(STDLIB_FLAG)
   unset(PTHREAD_CFLAGS)

=== debian/changelog ===
capnproto (0.7.0-3) unstable; urgency=medium

  * Add missing binaries (Closes: #919180)
  * Rename a patch file from the earlier NMU

 -- Tom Lee <debian@tomlee.co>  Tue, 05 Feb 2019 01:13:51 -0800

capnproto (0.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dimitri John Ledkov ]
  * Workaround generating invalid CapnProtoConfig which is not multiarch
    cmake aware, and thus yields invalid bin and include paths.
    Closes: #920230

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 08:51:06 +0100

capnproto (0.7.0-2) unstable; urgency=medium

  * Add a .gitignore file to packaging
  * Disable a few broken tests on kfreebsd archs

 -- Tom Lee <debian@tomlee.co>  Sun, 30 Dec 2018 05:32:44 -0800

capnproto (0.7.0-1) unstable; urgency=medium

  * Import Upstream version 0.7.0
  * Fix minor typo in src/kj/filesystem.c++
  * Updated to Standards-Version 4.2.1
  * Bump debian/compat to 11
  * Address some pedantic lintian issues
  * Add a quick functional test
  * Add Multi-Arch headers (Closes: #905351)

 -- Tom Lee <debian@tomlee.co>  Sat, 22 Dec 2018 15:58:08 -0700

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 9), gcc (>= 4.7), python-all (>= 2.6),
- dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, dh-autoreconf,
- netbase
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), gcc (>= 4.7), python-all (>= 2.6),
+ dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, netbase, cmake
+Standards-Version: 4.3.0
 Homepage: https://capnproto.org/
 Vcs-Git: https://github.com/thomaslee/capnproto-debian
 Vcs-Browser: https://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.6.1
+Package: libcapnp-0.7.0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: Cap'n Proto C++ library
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -30,8 +29,9 @@
 
 Package: libcapnp-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.6.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.7.0 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -48,8 +48,9 @@
 
 Package: capnproto
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.6.1 (= ${binary:Version})
+ libcapnp-0.7.0 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -64,4 +65,3 @@
  This package contains a small suite of tools for developing & maintaining
  your Cap'n Proto schema files, including a code generator for compiling
  your schema files to supported languages.
-

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@ --with autoreconf
 
 override_dh_auto_build:
 	xsltproc --nonet \
@@ -31,4 +31,3 @@
 
 override_dh_auto_test:
 	VERBOSE=1 dh_auto_test
-
